## org.codehaus.plexus
Class PlexusConstants

    java.lang.Object
      org.codehaus.plexus.PlexusConstants

    public abstract class PlexusConstants

extends java.lang.Object

Field Summary
`static java.lang.String` `BOOTSTRAP_CONFIGURATION` Location of plexus bootstrap configuration file.
`static java.lang.String` `IGNORE_CONTAINER_CONFIGURATION` Context key for the variable that determines whether to load the container configuration file.
`static java.lang.String` `PLEXUS_CORE_REALM` Key used to retrieve the core classworlds realm from the containerContext.
`static java.lang.String` `PLEXUS_DEFAULT_HINT` The role-hint to use for components or lookups that do not specify a role.
`static java.lang.String` `PLEXUS_KEY` Key used to retrieve the plexus container from the containerContext.

Constructor Summary
`PlexusConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IGNORE_CONTAINER_CONFIGURATION

    public static final java.lang.String IGNORE_CONTAINER_CONFIGURATION

  Context key for the variable that determines whether to load the container configuration file.

  See Also:
    Constant Field Values

### BOOTSTRAP_CONFIGURATION

    public static final java.lang.String BOOTSTRAP_CONFIGURATION

  Location of plexus bootstrap configuration file.

  See Also:
    Constant Field Values

### PLEXUS_KEY

    public static final java.lang.String PLEXUS_KEY

  Key used to retrieve the plexus container from the containerContext.

  See Also:
    Constant Field Values

### PLEXUS_CORE_REALM

    public static final java.lang.String PLEXUS_CORE_REALM

  Key used to retrieve the core classworlds realm from the containerContext.

  See Also:
    Constant Field Values

### PLEXUS_DEFAULT_HINT

    public static final java.lang.String PLEXUS_DEFAULT_HINT

  The role-hint to use for components or lookups that do not specify a role.

  See Also:
    Constant Field Values

Constructor Detail

### PlexusConstants

    public PlexusConstants()

Copyright © 2011. All Rights Reserved.